# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75.0"
name = "cdk-axum"
version = "0.8.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Cashu CDK axum webserver"
homepage = "https://github.com/cashubtc/cdk"
readme = false
license = "MIT"
repository = "https://github.com/cashubtc/cdk.git"

[lib]
name = "cdk_axum"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1"

[dependencies.async-trait]
version = "0.1"

[dependencies.axum]
version = "0.8.1"
features = [
    "ws",
    "ws",
]

[dependencies.cdk]
version = "=0.8.1"
features = ["mint"]
default-features = false

[dependencies.futures]
version = "0.3.28"
features = ["async-await"]
default-features = false

[dependencies.moka]
version = "0.11.1"
features = ["future"]

[dependencies.paste]
version = "1.0.15"

[dependencies.redis]
version = "0.23.3"
features = ["tokio-rustls-comp"]
optional = true

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.sha2]
version = "0.10.8"

[dependencies.tokio]
version = "1"
features = [
    "rt",
    "macros",
    "test-util",
]
default-features = false

[dependencies.tracing]
version = "0.1"
features = [
    "attributes",
    "log",
]
default-features = false

[dependencies.utoipa]
version = "5.3.1"
features = [
    "preserve_order",
    "preserve_path_order",
]
optional = true

[dependencies.uuid]
version = "=1.12.1"
features = [
    "v4",
    "serde",
]

[build-dependencies.time]
version = "=0.3.39"

[features]
auth = ["cdk/auth"]
default = ["auth"]
redis = ["dep:redis"]
swagger = [
    "cdk/swagger",
    "dep:utoipa",
]
